> ## Documentation Index > Fetch the complete documentation index at: https://docs.hawk.ai/llms.txt > Use this file to discover all available pages before exploring further. # Perform check on customer > Submits customer information for screening and due diligence checks and returns a persistent `customerId`, the calculated `riskLevel`, the `caseStatus`, and supporting screening and risk details. ## Changelog: v1 -> v2 The solution reflects changes in the following areas: - **New URL:** `/v1/customerChecks` to `/v2/customer-checks` - **New Field:** `caseStatus`. This field provides information about the triggered customer check. - **New Ignorable Field:** `nonStrictParsingMode`. **NOTE:** You should configure your integration to safely ignore any fields it doesn't recognize. This encourages best practice: your integration should parse the data it needs and disregard the rest. This ensures that your integration won't break when we add new features or metadata in the future. **v1 availability:** `/v1/customerChecks` was deprecated and removed from the API documentation in February 2026 and is no longer available in production as of February 2026. All integrations must use v2. ## OpenAPI ````json POST /v2/customer-checks { "openapi": "3.1.0", "info": { "title": "OpenAPI definition", "version": "v0" }, "servers": [ { "url": "https://api.test.aml-ai.net", "description": "Default Server URL" }, { "url": "https://api.test.aml-ai.net", "description": "Default Server URL" }, { "url": "https://api.test.aml-ai.net", "description": "Generated server url" } ], "security": [ { "API_KEY": [] } ], "tags": [ { "name": "customer-case", "description": "the customer-case API" }, { "name": "transaction-case", "description": "the transaction-case API" } ], "paths": { "/v2/customer-checks": { "post": { "tags": [ "customer-checks-controller" ], "summary": "Perform check on customer", "description": "Submits customer information for screening and due diligence checks and returns a persistent `customerId`, the calculated `riskLevel`, the `caseStatus`, and supporting screening and risk details.\n\n## Changelog: v1 -> v2\n\nThe solution reflects changes in the following areas:\n\n- **New URL:** `/v1/customerChecks` to `/v2/customer-checks`\n- **New Field:** `caseStatus`. This field provides information about the triggered customer check.\n- **New Ignorable Field:** `nonStrictParsingMode`.\n\n**NOTE:** You should configure your integration to safely ignore any fields it doesn't recognize. This encourages best practice: your integration should parse the data it needs and disregard the rest. This ensures that your integration won't break when we add new features or metadata in the future.\n\n**v1 availability:** `/v1/customerChecks` was deprecated and removed from the API documentation in February 2026 and is no longer available in production as of February 2026. All integrations must use v2.\n", "operationId": "checkV2", "parameters": [ { "name": "waitFor", "in": "query", "required": false, "schema": { "type": "string" } } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GatewayCustomerChecks" } } }, "required": true }, "responses": { "200": { "description": "Customer successfully checked", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CustomerResponse" } } } }, "202": { "description": "The customer check has been accepted and is still being processed. A final decision wasn't reached within the expected timeframe, but processing will continue and the result will be available once complete. The API response may be missing some fields such as caseStatus, riskLevel, riskFactors, screeningResults, or flaggingResults. The corresponding customer case in the Case Manager may not yet show the full details. These will be populated once the check finishes processing.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CustomerResponse" } } } }, "401": { "description": "Unauthorized" }, "403": { "description": "Forbidden" }, "425": { "description": "Too early. Please do not send yet this customer. Try again later." }, "429": { "description": "Too many requests. Please retry later" } } } } }, "components": { "schemas": { "GatewayCustomerChecks": { "type": "object", "properties": { "callbackUrl": { "type": "string", "description": "Url that is called for any changes to the transaction status e.g.Operator marks the transactions as unsuspicious and systems posts to callback url.", "example": "https://callback.url/1234" }, "masterData": { "$ref": "#/components/schemas/MasterData" }, "network": { "type": "string", "description": "Underlying technical network used. Esp when it does not align with the scheme.For Multichain cryptocurrencies use it to identify the underlying blockchain in case of native or bridged usage", "example": "ETHEREUM" }, "customerReviewSchedule": { "$ref": "#/components/schemas/CustomerReviewSchedule" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem", "description": "Internal source system details for customer data" } } }, "CustomerResponse": { "type": "object", "properties": { "customerId": { "type": "string" }, "caseId": { "type": "string", "format": "uuid" }, "riskLevel": { "type": "string" }, "caseStatus": { "type": "string" }, "screeningResults": { "type": "array", "items": { "$ref": "#/components/schemas/ScreeningResult" }, "uniqueItems": true }, "riskFactors": { "type": "array", "items": { "$ref": "#/components/schemas/RiskFactorsResult" }, "uniqueItems": true }, "flaggingResults": { "type": "array", "items": { "$ref": "#/components/schemas/FlaggingResult" }, "uniqueItems": true } } }, "MasterData": { "type": "object", "properties": { "accountHoldingPartyData": { "$ref": "#/components/schemas/AccountHoldingPartyData", "description": "Information about the account holding party of the transaction (holding the account at the bank that triggers the AML process)" }, "counterpartyData": { "$ref": "#/components/schemas/CounterpartyData", "description": "Information about the counterparty of the transaction (counterparty from bank's perspective)" }, "underwriterData": { "$ref": "#/components/schemas/UnderwriterData", "description": "Information about the underwriting bank" } } }, "CustomerReviewSchedule": { "type": "object", "properties": { "nextReviewDate": { "type": "string", "description": "Next customer review date , , ", "example": "2023-12" } } }, "SourceSystem": { "properties": { "id": { "description": "Unique identifier for the source system", "example": "SYS001", "type": "string" }, "name": { "description": "Human-readable name of the source system", "example": "Legacy CRM System", "type": "string" } }, "type": "object" }, "ScreeningResult": { "description": "A single screening hit, object-wrapped (mirrors the callback contract) so it can carry additional fields in future.", "properties": { "type": { "description": "Screening hit type. One of: POLITICALLY_EXPOSED_PERSON, SPECIAL_INTEREST_ENTITY, SPECIAL_INTEREST_PERSON, SANCTIONED_ENTITY, SANCTIONED_PERSON, RELATIVE_OR_CLOSE_ASSOCIATE, BLACKLIST_ENTITY, BLACKLIST_PERSON, ADVERSE_MEDIA", "example": "SPECIAL_INTEREST_PERSON", "type": "string" } }, "type": "object" }, "RiskFactorsResult": { "type": "object", "properties": { "factor": { "type": "string" } } }, "FlaggingResult": { "properties": { "countriesMatched": { "type": "array", "description": "Countries that matched this flag", "items": { "type": "string" }, "uniqueItems": true }, "flag": { "description": "Flag identifier", "type": "string" } }, "type": "object" }, "AccountHoldingPartyData": { "description": "In case of a joint or shared account, the information on the main account holder should be sent under accountHoldingPartyData. The information on the secondary holders or co-owners should be sent via accountHoldingParties[]. accountHoldingPartyData need to contain values if accountHoldingParties[] is not empty", "properties": { "accountReplaced": { "description": "True if the account has been replaced before (see AccountReplacedNotes for reasoning)", "example": true, "type": "boolean" }, "accountReplacedNotes": { "description": "Reasoning for why the account has been replaced", "example": "Chargeback rate exceeded", "type": "string" }, "characteristics": { "$ref": "#/components/schemas/Characteristics", "description": "various characteristics describing the account holder" }, "companyDetails": { "$ref": "#/components/schemas/CompanyDetails" }, "contactDetails": { "$ref": "#/components/schemas/ContactDetails" }, "customerGroupId": { "description": "A hierarchy level for customers. Can be an internal grouping of customers or the name of a department the customer is assigned to", "example": "32112388", "type": "string" }, "customerId": { "description": "Customer number that identifies the customer uniquely in the system of the bank", "example": "4681354", "type": "string" }, "customerRelationshipDetails": { "$ref": "#/components/schemas/CustomerRelationshipDetails", "description": "Information about internal customer care for this account holder" }, "customerSince": { "description": "The account holder is a customer since the provided date . This date gets converted internally to timestamp format.", "example": "2014-01-15", "format": "date", "type": "string" }, "customerStatus": { "description": "Customer status of the account holding party\n- KEY_ACCOUNT\n- NEW\n- MONITORING\n- CLOSED\n- ... (request additional values if required)", "type": "string" }, "customerType": { "description": "Type of customer.\nExample values:\n- ASSOCIATION\n- CORPORATION\n- GOVERNMENT_AGENCY\n- INDIVIDUAL\n- INTERNAL_ORGANIZATION\n- LIMITED_LIABILITY_COMPANY\n- PARTNERSHIP\n- TAX_EXEMPT_ORGANIZATION\n- ORGANIZATION\n- RETAIL\n- BUYER\n- LEGAL\n- PRIVATE\n- SUPPLIER\n- IC\n- UNKNOWN (provide only if unknown is exceptional)\nOther values are possible. Please reach out.", "example": "CORPORATION", "type": "string" }, "dba": { "description": "'Doing-business-as contact details", "items": { "$ref": "#/components/schemas/ContactDetails" }, "type": "array" }, "deviceDetails": { "$ref": "#/components/schemas/DeviceDetails", "description": "Device details used by the client when they registered the account." }, "flags": { "description": "Markers for client account.", "items": { "type": "string" }, "type": "array" }, "personalDetails": { "$ref": "#/components/schemas/PersonalDetails" }, "referenceAccount": { "$ref": "#/components/schemas/Account", "description": "Sole account to or from funds shall be transferred" }, "registrationDetails": { "$ref": "#/components/schemas/RegistrationDetails", "description": "Registration details used by the client when they registered the account." }, "riskLevel": { "description": "Expected level of risk, describing the likeliness that the bank customer is involved in fraudulent activities; allowed values: (\"LOW\", \"MEDIUM\", \"HIGH\", \"PROHIBITED\")", "enum": [ "LOW, MEDIUM, HIGH, PROHIBITED" ], "example": "low", "type": "string" }, "role": { "description": "Role in the account ownership", "example": "Primary", "type": "string" }, "signedProducts": { "description": "List the products the account holder signed", "example": [ "checking-account", "visa-debit-card", "mortgage" ], "items": { "type": "string" }, "type": "array" }, "taxId": { "description": "Tax id (VAT, Tax number, permant tax identification) that uniquely identifies the holder", "example": "079 / 123 / 12347", "type": "string" }, "taxIdType": { "description": "Tax ID type", "type": "string" } }, "type": "object" }, "CounterpartyData": { "description": "In case of multiple counterparties, the information on the main counterparty should be sent under counterpartyData. The information on the remaining counterparties should be sent via counterparties[].counterpartyData need to contain values if counterparties[] is not empty", "properties": { "companyDetails": { "$ref": "#/components/schemas/CompanyDetails" }, "contactDetails": { "$ref": "#/components/schemas/ContactDetails" }, "customerId": { "description": "Customer number that identifies the customer uniquely in the system of the bank", "example": "4681354", "type": "string" }, "dba": { "description": "'Doing-business-as contact details", "items": { "$ref": "#/components/schemas/ContactDetails" }, "type": "array" }, "personalDetails": { "$ref": "#/components/schemas/PersonalDetails" }, "referenceAccount": { "$ref": "#/components/schemas/Account" }, "role": { "description": "Role of the person in the transaction", "example": "Primary", "type": "string" }, "taxId": { "description": "Tax id (VAT, Tax number, permant tax identification) that uniquely identifies the holder", "example": "079 / 123 / 12347", "type": "string" }, "taxIdType": { "description": "Tax ID type", "type": "string" }, "verificationDate": { "description": "The counterparty is verified since the provided date ", "example": "1970-01-01", "format": "date", "type": "string" } }, "type": "object" }, "UnderwriterData": { "properties": { "name": { "description": "Name of the underwriter", "example": "Wells P. Morgan", "type": "string" }, "underwriterId": { "description": "Id that helps referencing the information back to the system from which the data originates", "example": "K3408534094", "type": "string" } }, "type": "object" }, "Characteristics": { "properties": { "businessPurposeDistribution": { "description": "Distribution across business purposes. In addition to assignment of business purposes under companyDetails.businessPurposes", "items": { "$ref": "#/components/schemas/Distribution" }, "type": "array" }, "depositDelay": { "description": "Delay of availability of deposited funds.\nCan be numeric (suffix 'd' for days) or\ncategoric (reach out if categoric values are required).", "example": "7d", "type": "string" }, "discountFrequency": { "description": "Frequency of discount.\n_Examples_:\n- DAILY\n- WEEKLY\n- MONTHLY\n- QUARTERLY", "example": "WEEKLY", "type": "string" }, "employmentDetails": { "$ref": "#/components/schemas/EmploymentDetails", "description": "Details of employment for an individual" }, "entryModeDistribution": { "description": "Expected contribution over channels.", "items": { "$ref": "#/components/schemas/Distribution" }, "type": "array" }, "expectedIncomeDaily": { "description": "Expected daily income (cashflow positive volume) in configured base currency", "example": "45000.00", "format": "double", "type": "number" }, "expectedIncomeMonthly": { "description": "Expected monthly income (cashflow positive volume) in configured base currency", "example": "110000.00", "format": "double", "type": "number" }, "expectedIncomeYearly": { "description": "Expected income volume per year in configured base currency.", "example": "150000.00", "format": "double", "type": "number" }, "expectedTicketSizeAverage": { "description": "Expected avg ticket size in configured base currency", "example": "127.45", "format": "double", "type": "number" }, "expectedTicketSizeMax": { "description": "Max ticket size expected", "example": "20000.00", "format": "double", "type": "number" }, "expectedTransactionCountDaily": { "description": "Expected count of transactions per day", "example": "5000.00", "format": "double", "type": "number" }, "expectedTransactionCountMonthly": { "description": "Expected count of transactions per month", "example": "50000.00", "format": "double", "type": "number" }, "expectedTransactionCountYearly": { "description": "Expected count of transactions per year", "example": "500000.00", "format": "double", "type": "number" }, "expectedVolumeDaily": { "description": "Expected daily volume (|in| + |out|) in configured base currency", "example": "50000.00", "format": "double", "type": "number" }, "expectedVolumeMonthly": { "description": "Expected monthly volume (|in| + |out|) in configured base currency", "example": "150000.00", "format": "double", "type": "number" }, "expectedVolumeVolatility": { "description": "Volatility of the volume.\n_Examples_:\n- SEASONAL\n- STABLE\n- YEAR_END_SEASON\n- ... (reach out for additional values)", "example": "SEASONAL", "type": "string" }, "expectedVolumeYearly": { "description": "Expected yearly volume (|in| + |out|) in configured base currency", "example": "150000.00", "format": "double", "type": "number" }, "majorCounterpartyAccounts": { "description": "List of major counterparty accounts of this account holder", "items": { "$ref": "#/components/schemas/Account" }, "type": "array" } }, "type": "object" }, "CompanyDetails": { "properties": { "assessments": { "description": "List of assessments or scorings that have been conducted", "items": { "$ref": "#/components/schemas/Assessment" }, "type": "array" }, "businessDescription": { "description": "Free text describing the business", "example": "Specialized on elderly women", "type": "string" }, "businessPurposes": { "description": "List of business purposes of the company (ISO-18245 merchant category codes or an individually defined industry/sector list)", "example": [ "5065", "5085", "Financial services" ], "items": { "type": "string" }, "type": "array" }, "companyId": { "description": "Id that helps referencing back the company information to the system from which the information is originated.", "example": "C0785283592", "type": "string" }, "companyName": { "description": "Name of the company according to commercial register", "example": "The BORing company", "type": "string" }, "countryOfRegistration": { "description": "Country where the company was originally founded and registered (ISO 3166-1 alpha-2).", "example": "PT", "type": "string" }, "division": { "description": "Tenants's company division or department contractually involved", "example": "Mortgage", "type": "string" }, "identityDocuments": { "description": "List of documents linked to a company, such as business licenses, incorporation documents or corporate IDs", "items": { "$ref": "#/components/schemas/IdentityDocument" }, "type": "array" }, "inBusinessSince": { "description": "In business since , , ", "example": "2019-03", "type": "string" }, "legalForm": { "description": "Legal form of the company (ISO-20275/ELF Code).", "example": "2HBR", "type": "string" }, "organizationType": { "description": "Type of organization.\n_Examples_:\n- GOVERNMENTAL\n- FOR_PROFIT\n- NON_PROFIT\n- PRIVATE_INVESTMENT_COMPANY\n- ... (reach out to request more values)", "example": "NON_PROFIT", "type": "string" }, "shareholders": { "description": "List of shareholders/owners of the company/organization.", "items": { "$ref": "#/components/schemas/Shareholder" }, "type": "array" }, "shareholdersStructure": { "$ref": "#/components/schemas/ShareholdersStructure", "description": "Structure of shareholders/owners of the company/organization" }, "staff": { "description": "List of the managing directors of the company/organization.", "items": { "$ref": "#/components/schemas/StaffMember" }, "type": "array" }, "trademark": { "description": "The trademark associated with the company", "example": "IBM", "type": "string" } }, "type": "object" }, "ContactDetails": { "properties": { "addressValidSince": { "description": "Date since the given postal address is valid. Provide date , month or year only ", "example": "2017-04", "type": "string" }, "allAssignedCustomerIds": { "description": "List of all customer ids that are representing this account holder.", "example": [ "I-234982-324-1232", "I-342512-121-4123" ], "items": { "type": "string" }, "type": "array" }, "contactId": { "description": "Id that helps referencing the contact information back to the system from which the data originates", "example": "K3408534094", "type": "string" }, "contactName": { "description": "Contact name if different from the name provided in PersonDetails/CompanyDetails. Leave empty otherwise.", "example": "Adam Smith", "type": "string" }, "contactNameExtended": { "description": "Extension of the name line if required", "example": "c/o Mrs Camber", "type": "string" }, "country": { "description": "Country of the contact address of the individual or company/organization", "example": "DE", "type": "string" }, "emailAddresses": { "description": "List of email addresses on which the customer can be reached.", "example": [ "noreply@company.com", "john.smith@shoutlook.com" ], "items": { "type": "string" }, "type": "array" }, "phoneNumbers": { "description": "List of phone numbers on which the customer can be reached.", "example": [ "+4915178859632", "+4915178858526" ], "items": { "type": "string" }, "type": "array" }, "region": { "description": "Region of the contact address. Skip if not needed for a full address (Country subdivision code as defined in ISO 3166-2)", "example": "BY", "type": "string" }, "regionExtended": { "description": "Extension field for region (e.g. county)", "example": "Maricopa", "type": "string" }, "street": { "description": "Street (incl. number if applicable)", "example": "Leopoldstr. 12", "type": "string" }, "streetExtended": { "description": "Possible extention of the street line in the address block. Provide if required.", "example": "apt. RE-243", "type": "string" }, "town": { "description": "City of residence of the customer in case the customer is an individual. City where the main office of the company is located in case the account belongs to a company.", "example": "Munich", "type": "string" }, "unstructuredAddress": { "description": "Unstructured address.\nShould be filled only if the address cannot be provided in the structured manner, that is,\ntown, zip code, country or street.", "example": "Taunusanlage 12 60325, Frankfurt Am Main, DE", "type": "string" }, "webLinks": { "description": "List of web links (refer to WebLink data type) / or strings representing URLs. JsonNode type applied for backward compatibility.", "example": [ { "title": "google", "url": "http://www.google.com" } ], "items": { "$ref": "#/components/schemas/WebLink" }, "type": "array" }, "zip": { "description": "Postal code of contact address of the individual or company", "example": "81737", "type": "string" } }, "type": "object" }, "CustomerRelationshipDetails": { "properties": { "allAccounts": { "items": { "$ref": "#/components/schemas/AccountForRelationshipDetails" }, "type": "array" }, "businessUnit": { "description": "Name of the business unit the customer is assigned to", "example": "GAMBLING", "type": "string" }, "exemptions": { "items": { "type": "string" }, "type": "array" }, "staff": { "items": { "$ref": "#/components/schemas/StaffMember" }, "type": "array" } }, "type": "object" }, "DeviceDetails": { "properties": { "deviceId": { "description": "Unique identifier for the device used by the client (desktop, notebook, tablet, mobile).", "example": "C02LM2CSFD59", "type": "string" }, "deviceType": { "description": "Device and model used by the client (desktop, notebook, tablet, mobile).", "example": "iPhone", "type": "string" }, "entryChannel": { "description": "Browser or application version used by the customer. Example: Google Chrome 104.0.5112.79 (Official Build) (64-bit).", "example": "Browser", "type": "string" }, "operatingSystem": { "description": "Operating system and version used by the client.", "example": "Windows11", "type": "string" } }, "type": "object" }, "PersonalDetails": { "properties": { "assessments": { "description": "List of assessments or scorings that have been conducted", "items": { "$ref": "#/components/schemas/Assessment" }, "type": "array" }, "countryOfBirth": { "description": "Country where the customer was born.", "example": "FR", "type": "string" }, "countryOfResidence": { "description": "Country where the customer currently lives.", "example": "DE", "type": "string" }, "dateOfBirth": { "description": "Provide full date if available (YYYY-MM-DD). Otherwise provide the data available (e.g. year only)", "example": "1977-01-08", "type": "string" }, "gender": { "description": "Gender: 'f' (female), 'm' (male) or 'x' (other)", "example": "f", "type": "string" }, "identityDocuments": { "description": "List of documents that identify a person", "items": { "$ref": "#/components/schemas/IdentityDocument" }, "type": "array" }, "nationality": { "description": "Nationality of the individual customer.", "example": "BE", "type": "string" }, "occupation": { "description": "Occupation title", "example": "Teacher", "type": "string" }, "personName": { "$ref": "#/components/schemas/PersonName", "description": "Name structured in first, middle and last name." }, "placeOfBirth": { "description": "City/place where the customer was born.", "example": "Paris", "type": "string" }, "socialSecurityNumber": { "description": "Social security number", "example": "078-05-112", "type": "string" } }, "type": "object" }, "Account": { "properties": { "accountClosureDate": { "description": "Date when account was closed, provide full date (YYYY-MM-DD)", "example": "2021-01-02", "format": "date", "type": "string" }, "accountEmailId": { "description": "Email address that uniquely identifies the account within the scheme (e.g. for PayPal)", "example": "harles.hollinten@mail.com", "type": "string" }, "accountId": { "description": "Id that identifies the account uniquely within the scheme or the sending sending tenant.\nE.g.\n- merchant ID (MID) for credit card schemes\n- tokenized card number if it is unique within the tenant", "example": "435863453", "type": "string" }, "accountNumber": { "description": "Account number that identifies the account uniquely withing the scheme along with other account details, if the scheme provides such an account number (e.g. IBAN, national account number).", "example": "DE12500105170648489890", "type": "string" }, "accountOpeningDate": { "description": "Date when account was opened, provide full date (YYYY-MM-DD)", "example": "2021-01-01", "format": "date", "type": "string" }, "accountStatus": { "description": "Status of the account", "example": "open", "type": "string" }, "accountType": { "description": "Type of account (e.g Money market account, checking account, savings account)", "example": "checking account", "type": "string" }, "attributes": { "description": "List of account attributes (e.g PND account, unacceptable risk account, partial assets freeze)", "example": [ "PND account" ], "items": { "type": "string" }, "type": "array" }, "bankCountry": { "description": "Country of the bank or financial insitution (ISO 3166 Alpha-2)", "example": "FR", "type": "string" }, "bankIdentifier": { "description": "The bank identification code (BIC).", "example": "SSKMDEMM", "type": "string" }, "bankName": { "description": "The bank name.", "example": "STADTSPARKASSE MUENCHEN", "type": "string" }, "currency": { "description": "Currency the account is operated in.\n_Examples_:\n- ETH\n- BTC\n- EUR\n- USD\n... (reach out if additional values are required)", "example": "BTC", "type": "string" }, "expiry": { "description": "Expiry month of the account details .E.g. expiry data for credit cards.", "example": "202911", "type": "string" }, "holder": { "description": "The full name of the owner of the bank account with middle name, format: First Name, Middle Name, Last Name.", "example": "John Smith", "type": "string" }, "last4Digits": { "description": "Last for digits of the account number if the full account number cannot be provided.E.g. for credit card payments", "example": "435863453", "type": "string" }, "location": { "$ref": "#/components/schemas/ContactDetails", "description": "Information on the branch where the account was opened" }, "overdraftLimit": { "description": "Overdraft limit amount", "example": 500, "type": "number" }, "productCode": { "description": "Code of the product used to facilitate the payment (as provided by the scheme operator)\n\nSee here for examples of such product codes\n - [Visa Product Id](https://developer.visa.com/guides/request_response_codes#product_id)\n - [Master/VISA product codes](https://payzen.io/in/webservices-payment/implementation-webservices-v5/\nvisa-mastercard-product-codes-cardresponse.productcode.html)\n_Examples_:\n- BPD (MASTER Business Premium DEBIT)\n- P (Visa Gold)\n- WIC (EBT woman, infants, children )\n- FOOD_STAMP\n- ...", "example": "BPD", "type": "string" }, "productType": { "description": "Type of the product or service.\n_Examples_:\n- CHECKING_ACCOUNT\n- CREDIT_CARD\n- DEBIT_CARD\n- PREPAID_CARD\n- GIRO_ACCOUNT\n- CHECKING_ACCOUNT\n- SAVINGS_ACCOUNT\n- STORED_VALUE_CARD\n- TERM_ACCOUNT\n- BASIS_ACCOUNT (as GIRO_ACCOUNT without the possibility to overdraft)\n- VOUCHER (women, infants, children as part of EBT scheme),\n- ... (reach out if additional values are required)", "example": "CREDIT_CARD", "type": "string" }, "scheme": { "description": "Scheme or processing network within the account details uniquely\nidentify an account. Country code for national banking schemes (ISO 3166 Alpha-2).+\nAMEX, AFFINBANK, AMBANK, BANCONTACT, BCMC, BITPAY, CARD_MERCHANTACCOUNT (for merchant accounts accepting card payments)\n, CARD2CARD, CCWEB, CIMBCLICKS, CITI, DE, DIRECTPAY, DRAGONPAY, DISCOVER, ENETS, EPS, ESAPAY, ESTONIANBANKS, FINNISH, GB\n, GIROPAY, HONGLEONGBANK, IDEAL, INSTANTTRANSFER, JCB, MAESTRO, MASTER, MAXIMA, MAYBANKTWOU, MULTIBANCO, MYBANK, MYCLEARFPX, P24\n, P24PAYOUT, PAYSAFECARD, PAYSBUY, PAYSERA, PAYU, PUGGLEPAY, RHBBANK, SAFETYPAY, SEPA, SEVENELEVEN, SOLO, SINGPOST, SWITCH\n, TELEINGRESO, TRUSTLY, TRUSTPAY, UKASH, UNIONPAY, US, VERKKOPANKKI, VISA, WEBMONEY, WUQUICKPAY\n ... (reach out if additional values are required)", "example": "SEPA", "type": "string" }, "webLinks": { "description": "List of web links/urls to representations of the company or person in the internet or intranet", "items": { "$ref": "#/components/schemas/WebLink" }, "type": "array" } }, "type": "object" }, "RegistrationDetails": { "properties": { "internetServiceProvider": { "description": "Network and IP provider for the IP address used by the client to register the account.", "example": "Vodafone", "type": "string" }, "ipAddress": { "description": "IP address used by the client for account registration (for PEP/Sacntions checks).", "example": "172.217.22.14", "type": "string" }, "ipCountry": { "description": "Country where the IP used to register the account is located at (ISO 3166-1 alpha-2).", "example": "PT", "type": "string" } }, "type": "object" }, "Distribution": { "properties": { "labels": { "description": "Specify the kind of distribution.", "example": [ "MAGNETIC_STRIPE" ], "items": { "type": "string" }, "type": "array" }, "share": { "description": "Share of the defined label", "example": "0.75", "format": "double", "type": "number" } }, "type": "object" }, "EmploymentDetails": { "properties": { "status": { "description": "Field describing status of employment", "example": "EMPLOYED", "type": "string" } }, "type": "object" }, "Assessment": { "properties": { "date": { "description": "Date the reflects the state of the information provided (YYYY-MM-DD)", "example": "2020-01-24", "format": "date", "type": "string" }, "name": { "description": "Name of the conducted assessment. If it's a 3rd party assessment, pass the name of the provider or product\n_Examples_:\n- EQUIFAX\n- FICO\n- IDOLOGY\n- INTERNAL\n- KYC\n- OFAC\n- SCHUFA\n- VERID\n- PEP_SCORE\n- ADVERSE_MEDIA_SCORE\n- SANCTION_SCORE\n- ... (please reach out to request other values)", "example": "FICO", "type": "string" }, "notes": { "description": "Free text for notes or comments regarding the assessment", "example": "Manually reviewed", "type": "string" }, "referenceId": { "description": "Reference to the original assessment", "example": "56461a6315", "type": "string" }, "score": { "description": "Score that was given in the assessment. The range of the score depends on the assessment", "example": 756, "format": "double", "type": "number" }, "status": { "description": "Status of the assessment.\n_Examples:\n- IN_PROGRESS\n- DONE", "example": "DONE", "type": "string" } }, "type": "object" }, "IdentityDocument": { "properties": { "expiryDate": { "description": "Identifies document issuing authority", "example": "2025-01-15", "format": "date", "type": "string" }, "id": { "description": "Id/number identifiying as printed on the document. E.g. passport number", "example": "F8624KW3J6", "type": "string" }, "issuingAuthority": { "description": "Identifies document issuing authority", "example": "President of Warsaw", "type": "string" }, "issuingCountry": { "description": "Identifies document issuing country (ISO 3166-2)", "example": "US", "type": "string" }, "issuingState": { "description": "Identifies document issuing state", "example": "AZ", "type": "string" }, "kind": { "description": "Kind of identity document provided.\n_Examples_:\n- DRIVING_LICENSE\n- NATIONAL_IDENTITY_CARD\n- PASSPORT\n- SOCIAL_SECURITY\n- ... (reach out if further values are required)", "example": "PASSPORT", "type": "string" }, "link": { "description": "Link to scan of identity document", "example": "https://intranet.bank.com/customers/98234792/passport", "type": "string" } }, "type": "object" }, "Shareholder": { "properties": { "companyDetails": { "description": "Details of the company/organization holding the shares.", "example": {} }, "contactDetails": { "$ref": "#/components/schemas/ContactDetails" }, "liability": { "description": "Liability taken.\n_Examples_:\n- LIMITED\n- PERSONAL\n- ... (reach out of additional values are required)", "example": "PERSONAL", "type": "string" }, "personalDetails": { "$ref": "#/components/schemas/PersonalDetails", "description": "Personal details if the shareholder is a natural person." }, "role": { "description": "Role/Title/function of the shareholder within the company\n_Examples_:\n- FOUNDER\n- COFOUNDER\n- OWNER\n- MAYORITY_SHAREHOLDER\n- BOARD_MEMBER\n- ... (reach of for further values)", "type": "string" }, "share": { "description": "Kept share up to max 1 (=100%)", "example": "0.51", "type": "number" }, "taxIds": { "description": "List of tax IDs of the shareholder.", "items": { "$ref": "#/components/schemas/TaxId" }, "type": "array" } }, "type": "object" }, "ShareholdersStructure": { "properties": { "complexOwnership": { "description": "Indicates if the customer has a complex ownership structure.\nPossible values:\n'Y'\n'N'\n", "type": "string" } }, "type": "object" }, "StaffMember": { "properties": { "contactDetails": { "$ref": "#/components/schemas/ContactDetails", "description": "contactDetails" }, "personalDetails": { "$ref": "#/components/schemas/PersonalDetails", "description": "personalDetails" }, "role": { "description": "Role of the staffer. No need to provide the exact role name. \" +\nCategorize into what makes sense from an AML perspective.\n_Examples_:\n- MANAGER\n- ACCOUNT_MANAGER\n- ... (reach of for further values)", "example": "ACCOUNT_MANAGER", "type": "string" } }, "type": "object" }, "WebLink": { "properties": { "title": { "description": "Title that should be displayed instead of link. If not provided, url will be used", "example": "google", "type": "string" }, "url": { "description": "web link/url to represent the company or person in the internet or intranet", "example": "http://www.google.com", "type": "string" } }, "type": "object" }, "AccountForRelationshipDetails": { "properties": { "accountClosureDate": { "format": "date", "type": "string" }, "accountEmailId": { "type": "string" }, "accountId": { "type": "string" }, "accountNumber": { "type": "string" }, "accountOpeningDate": { "format": "date", "type": "string" }, "accountStatus": { "type": "string" }, "accountType": { "type": "string" }, "attributes": { "items": { "type": "string" }, "type": "array" }, "bankCountry": { "type": "string" }, "bankIdentifier": { "type": "string" }, "bankName": { "type": "string" }, "contractualDetails": { "$ref": "#/components/schemas/ContractualDetails" }, "countryOfSettlement": { "description": "Country that has been designated settle transactions for this account holder", "example": "NL", "type": "string" }, "creditLimitDetails": { "$ref": "#/components/schemas/CreditLimitDetails" }, "currency": { "type": "string" }, "expiry": { "type": "string" }, "flags": { "items": { "type": "string" }, "type": "array" }, "holder": { "type": "string" }, "last4Digits": { "type": "string" }, "location": { "$ref": "#/components/schemas/ContactDetails" }, "overdraftLimit": { "type": "number" }, "productCode": { "type": "string" }, "productType": { "type": "string" }, "scheme": { "type": "string" }, "webLinks": { "items": { "$ref": "#/components/schemas/WebLink" }, "type": "array" } }, "type": "object" }, "PersonName": { "properties": { "firstName": { "description": "First name / given name", "example": "Barbara-Maria", "type": "string" }, "lastName": { "description": "Last name / family name", "example": "Kensigton", "type": "string" }, "middleNames": { "description": "Middle name(s) separated with space", "example": "Helen Kate", "type": "string" }, "nameAtBirth": { "description": "Name given upon birth", "example": "Carlton", "type": "string" } }, "type": "object" }, "TaxId": { "properties": { "type": { "description": "Tax type", "example": "ITIN", "type": "string" }, "value": { "description": "Tax id", "example": "12345ABC", "type": "string" } }, "type": "object" }, "ContractualDetails": { "properties": { "contractEndDate": { "description": "End date of contract, provided in UTC YYYY-MM-DD", "example": "2020-05-16", "type": "string" }, "contractOneOffPayment": { "description": "One time payment of contract, e.g. deposit. In configured base currency", "example": "100.00", "format": "double", "type": "number" }, "contractStartDate": { "description": "Start date of contract, provided in UTC YYYY-MM-DD", "example": "2020-05-16", "type": "string" }, "contractStatus": { "example": "ACTIVE", "type": "string" }, "contractValueMonthly": { "description": "In configured base currency", "example": "100.00", "format": "double", "type": "number" }, "contractValueTotal": { "description": "In configured base currency", "example": "10000.00", "format": "double", "type": "number" }, "contractValueYearly": { "description": "In configured base currency", "example": "1000.00", "format": "double", "type": "number" } }, "type": "object" }, "CreditLimitDetails": { "properties": { "amount": { "description": "12323", "example": "1005.00", "type": "number" }, "currency": { "description": "Currency the limit is operated in", "example": "EUR", "type": "string" } }, "type": "object" } }, "securitySchemes": { "API_KEY": { "in": "header", "name": "api-key", "type": "apiKey" } } } } ````